Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 163302 - md5sum hangs system on bad CD
Summary: md5sum hangs system on bad CD
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 4
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Dave Jones
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-07-14 22:05 UTC by Leon Stringer
Modified: 2015-01-04 22:20 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-07-16 15:59:18 UTC


Attachments (Terms of Use)

Description Leon Stringer 2005-07-14 22:05:15 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.8) Gecko/20050513 Epiphany/1.6.1

Description of problem:
I was testing burning CDs with GNOME Nautilus, a very unreliable process in my experience. To check if the resultant CD was good I ran "md5sum /dev/cdrom" and after 20s my system locked up completely!

After resetting I checked /var/log/messages which showed:

    kernel: cdrom: This disc doesn't have any tracks I recognize!
    kernel: scsi: unknown opcode 0x01

When I ran "md5sum /dev/cdrom" on FC3 on the same computer I got:

    md5sum: /dev/cdrom Input/output error

which is what I'd expect for a bad CD.

Note that, althought burning through GNOME is unreliable I can burn fine with cdrecord. That and the fact that this check works OK on FC3 leads me to assert that there isn't a hardware problem.

I also think that, despite encountering this problem with one CD only so far (I've only tried to burn one with GNOME on FC4 so far) the fact that such md5sum ran as a user can take a system out indicates a serious problem.

Version-Release number of selected component (if applicable):
coreutils-5.2.1-48

How reproducible:
Always

Steps to Reproduce:
1. Insert my bad CD into the CD drive.
2. Run "md5sum /dev/cdrom" from the GNOME terminal.
  

Actual Results:  Some CD activity for about 20s after which the system has locked up.

Expected Results:  Some form of I/O error from md5sum indicating a bad CD.

Additional info:

Comment 1 Dave Jones 2005-07-15 18:23:57 UTC
Please retry with todays 1398 kernel update, as there were a number of IDE layer
fixes including one involving CDs.



Comment 2 Leon Stringer 2005-07-16 15:58:28 UTC
Retested with 2.6.12-1.1398_FC4.

I now get "md5sum: /dev/cdrom: Input/output error" as expected and no crash.

Thanks!


Note You need to log in before you can comment on or make changes to this bug.